#
# spec file for package libXinerama
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libXinerama
%define lname	libXinerama1
Version:        1.1.5
Release:        1.8
Summary:        Xinerama extension to the X11 Protocol
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXinerama
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXinerama/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xineramaproto) >= 1.1.99.1
BuildRequires:  pkgconfig(xorg-macros) >= 1.8

%description
Xinerama is an extension to the X Window System which enables
multi-headed X applications and window managers to use two or more
physical displays as one large virtual display.

%package -n %lname
Summary:        Xinerama extension to the X11 Protocol
Group:          System/Libraries

%description -n %lname
Xinerama is an extension to the X Window System which enables
multi-headed X applications and window managers to use two or more
physical displays as one large virtual display.

%package devel
Summary:        Development files for the X11 Xinerama extension
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
Xinerama is an extension to the X Window System which enables
multi-headed X applications and window managers to use two or more
physical displays as one large virtual display.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXinerama.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libXinerama.so
%_libdir/pkgconfig/xinerama.pc
%_mandir/man3/*

%changelog
* Sat Oct 29 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.6
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * XineramaQueryScreens: fix -Wsign-compare warning
  * Remove "register" type qualifier from variable declarations
* Fri Jul  6 2018 sndirsch@suse.com
- Update to version 1.1.4
  * Contains some tiny bugfixes sitting in git unreleased for too long.
* Sat Jun  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.1.3:
  This bug fix release primarily provides the fix for the recently announced
  security vulnerability CVE-2013-1985.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
- Avoid calling fdupes outside of /usr
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 1.1.2:
  + Janitorial cleanups
  + Build configuration improvements
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
